atk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. The ATK interface provided by UI components which occupy a physical area on the screen.

The ATK interface provided by UI components which occupy a physical area on the screen.

This should be implemented by most if not all UI elements with an actual on-screen presence, i.e. components which can be said to have a screen-coordinate bounding box. Virtually all widgets will need to have implementations provided for their corresponding class. In short, only UI elements which are* not* GUI elements will omit this ATK interface.

A possible exception might be textual information with a transparent background, in which case text glyph bounding box information is provided by .

GLib.IWrapper
- Method
  System.Void `` Remove the handler from the list of functions to be executed when this object receives focus events (in or out). The handler id of the focus handler to be removed from component.
- Method
  System.Boolean `` `` `` Sets the postition of this component. X coordinate. Y coordinate. Specifies whether the coordinates are relative to the screen or to the components top level window. or whether or not the position was set or not.
- Method
  System.Boolean Grabs focus for this component if successful, otherwise.
- Method
  System.Boolean `` `` `` `` `` Sets the extents of this component. X coordinate. Y coordinate. Width to set for this component. Height to set for this component. Specifies whether the coordinates are relative to the screen or to the components top level window. or whether the extents were set or not.
- Method
  System.Boolean `` `` Set the size of this component in terms of width and height. Width to set for this component. Height to set for this component. or whether the size was set or not.
- Method
  System.UInt32 `` Add the specified handler to the set of functions to be called when this object receives focus events (in or out). The to be attached to this component. A handler id which can be used in or zero if the handler was already added.

  Add the specified handler to the set of functions to be called when this object receives focus events (in or out).

  If the handler is already added it is not added again.

- Method
  System.Boolean `` `` `` Checks whether the specified point is within the extent of this component. X coordinate Y coordinate Specifies whether the coordinates are relative to the screen or to the components top level window. or indicating whether the specified point is within the extent of the component or not.
- Method
  Atk.Object `` `` `` To be added To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'Atk.CoordType' To be added: an object of type 'Atk.Object' To be added
- Property
  System.Int32 Gets the Z order of the component. The value G_MININT will be returned if the layer of the component is not ATK_LAYER_MDI or ATK_LAYER_WINDOW.
- Property
  Atk.Layer Gets the layer of this component. An which is the layer of the component.
- Method
  System.Void `` `` `` Gets the position of component in the form of a point specifying this component's top-left corner. X coordinate position Y coordinate position Specifies whether the coordinates are relative to the screen or to the components top level window.
- Method
  System.Void `` `` `` `` `` Gets the rectangle which gives the extent of this component. X coordinate position Y coordinate position Width Height Specifies whether the coordinates are relative to the screen or to the components top level window.
- Method
  System.Void `` `` Gets the size of this component in terms of width and height. Width Height